// eslint-disable-next-line
import {
  UserLayout,
  BasicLayout,
  RouteView,
  BlankLayout,
  PageView
} from '@/layouts'

export const asyncRouterMap = [
  {
    path: '/',
    name: 'index',
    component: BasicLayout,
    meta: { title: '首页' },
    redirect: '/home',
    children: [
      {
        path: '/home',
        name: 'home',
        redirect: '/home',
        component: PageView,
        meta: {
          title: '首页',
          icon: 'home'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/home',
            name: 'home',
            component: () => import(/* webpackChunkName: "home" */ '@/views/Home'),
            meta: {
              title: '首页',
              icon: 'home',
              hide: true
            }
          }
        ]
      },
      {
        path: '/changePwd',
        name: 'changePwd',
        component: () => import(/* webpackChunkName: "home" */ '@/views/user/ChangePwd'),
        meta: {
          title: '修改密码',
          icon: 'home'
        },
        hidden: true
      },
      // auth
      {
        path: '/auth',
        redirect: '/auth/userList',
        component: PageView,
        meta: {
          title: '权限管理',
          icon: 'lock',
          permission: 'M_powerMD_0'
        },
        children: [
          {
            path: '/auth/userList',
            name: 'powerUserList',
            component: () => import(/* webpackChunkName: "auth" */ '@/views/power/user/userList.vue'),
            meta: {
              title: '用户管理',
              icon: 'user',
              permission: 'M_powerMD_user_list'
            }
          },
          {
            path: '/auth/roleList',
            name: 'powerRoleList',
            component: () => import(/* webpackChunkName: "auth" */ '@/views/power/role/roleList.vue'),
            meta: {
              title: '角色管理',
              icon: 'solution',
              permission: 'M_powerMD_role_list'
            }
          }
        ]
      }
    ]
  },
  {
    path: '*',
    redirect: '/404',
    hidden: true
  }
]

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [
  {
    path: '/user',
    component: UserLayout,
    redirect: '/user/login',
    hidden: true,
    children: [
      {
        path: 'login',
        name: 'login',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Login')
      },
      {
        path: 'register',
        name: 'register',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Register')
      },
      {
        path: 'register-result',
        name: 'registerResult',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/RegisterResult')
      },
      {
        path: 'recover',
        name: 'recover',
        component: undefined
      }
    ]
  },
  {
    path: '/updateBrowser',
    name: 'updateBrowser',
    component: () => import(/* webpackChunkName: "user" */ '@/views/exception/updateBrowser')
  },
  {
    path: '/404',
    component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/404')
  }
]
